## PosterImage

A `ClickableComponent` that handles showing the poster image for the player.

## Constructor

#### new PosterImage(player, optionsopt)
`poster-image.js`, `line 15`

  Create an instance of this class.

  ##### Parameters:

  Name | Type | Attributes | Description
  --- | --- | --- | ---
  `player` | Player |  | The `Player` that this class should attach to.
  `options` | Object | <optional> | The key/value store of player options.

### Extends

- ClickableComponent

### Methods

#### $(selector, contextopt) → {Element|null}
`component.js`, `line 666`

  Find a single DOM element matching a `selector`. This can be within the `Component`s `contentEl()` or another custom context.

  ##### Parameters:

  Name | Type | Attributes | Default | Description
  --- | --- | --- | --- | ---
  `selector` | string |  |  | A valid CSS selector, which will be passed to `querySelector`.
  `context` | Element | string | <optional> | this.contentEl() | A DOM element within which to query. Can also be a selector string in which case the first matching element will get used as context. If missing `this.contentEl()` gets used. If `this.contentEl()` returns nothing it falls back to `document`.

  ##### Returns:

  Element | null -

  the dom element that was found, or null

  Inherited From:
    - Component#$
  See:

    - Information on CSS Selectors

#### $$(selector, contextopt) → {NodeList}
`component.js`, `line 688`

  Finds all DOM element matching a `selector`. This can be within the `Component`s `contentEl()` or another custom context.

  ##### Parameters:

  Name | Type | Attributes | Default | Description
  --- | --- | --- | --- | ---
  `selector` | string |  |  | A valid CSS selector, which will be passed to `querySelectorAll`.
  `context` | Element | string | <optional> | this.contentEl() | A DOM element within which to query. Can also be a selector string in which case the first matching element will get used as context. If missing `this.contentEl()` gets used. If `this.contentEl()` returns nothing it falls back to `document`.

  ##### Returns:

  NodeList -

  a list of dom elements that were found

  Inherited From:
    - Component#$$
  See:

    - Information on CSS Selectors

#### addChild(child, optionsopt, indexopt) → {Component}
`component.js`, `line 377`

  Add a child `Component` inside the current `Component`.

  ##### Parameters:

  Name | Type | Attributes | Default | Description
  --- | --- | --- | --- | ---
  `child` | string | Component |  |  | The name or instance of a child to add.
  `options` | Object | <optional> | {} | The key/value store of options that will get passed to children of the child.
  `index` | number | <optional> | this.children_.length | The index to attempt to add a child into.

  ##### Returns:

  Component -

  The `Component` that gets added as a child. When using a string the `Component` will get created by this process.

  Inherited From:
    - Component#addChild

#### addClass(classToAdd)
`component.js`, `line 712`

  Add a CSS class name to the `Component`s element.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `classToAdd` | string | CSS class name to add

  Inherited From:
    - Component#addClass

#### blur()
`component.js`, `line 1049`

  Remove the focus from this component

  Inherited From:
    - Component#blur

#### buildCSSClass() → {string}
`clickable-component.js`, `line 136`

  Builds the default DOM `className`.

  ##### Returns:

  string -

  The DOM `className` for this object.

  Inherited From:
    - ClickableComponent#buildCSSClass

#### cancelAnimationFrame(id) → {number}
`component.js`, `line 1401`

  Cancels a queued callback passed to Component#requestAnimationFrame (rAF).

  If you queue an rAF callback via Component#requestAnimationFrame, use this function instead of `window.cancelAnimationFrame`. If you don't, your dispose listener will not get cleaned up until Component#dispose!

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `id` | number | The rAF ID to clear. The return value of Component#requestAnimationFrame.

  ##### Returns:

  number -

  Returns the rAF ID that was cleared.

  Inherited From:
    - Component#cancelAnimationFrame
  See:

    - Similar to

#### children() → {Array}
`component.js`, `line 323`

  Get an array of all child components

  ##### Returns:

  Array -

  The children

  Inherited From:
    - Component#children

#### clearInterval(intervalId) → {number}
`component.js`, `line 1331`

  Clears an interval that gets created via `window.setInterval` or Component#setInterval. If you set an inteval via Component#setInterval use this function instead of `window.clearInterval`. If you don't your dispose listener will not get cleaned up until Component#dispose!

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `intervalId` | number | The id of the interval to clear. The return value of Component#setInterval or `window.setInterval`.

  ##### Returns:

  number -

  Returns the interval id that was cleared.

  Inherited From:
    - Component#clearInterval
  See:

    - Similar to

#### clearTimeout(timeoutId) → {number}
`component.js`, `line 1268`

  Clears a timeout that gets created via `window.setTimeout` or Component#setTimeout. If you set a timeout via Component#setTimeout use this function instead of `window.clearTimout`. If you don't your dispose listener will not get cleaned up until Component#dispose!

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `timeoutId` | number | The id of the timeout to clear. The return value of Component#setTimeout or `window.setTimeout`.

  ##### Returns:

  number -

  Returns the timeout id that was cleared.

  Inherited From:
    - Component#clearTimeout
  See:

    - Similar to

#### contentEl() → {Element}
`component.js`, `line 292`

  Return the `Component`s DOM element. This is where children get inserted. This will usually be the the same as the element returned in Component#el.

  ##### Returns:

  Element -

  The content element for this `Component`.

  Inherited From:
    - Component#contentEl

#### controlText(textopt, elopt) → {string}
`clickable-component.js`, `line 115`

  Get or set the localize text to use for the controls on the `Component`.

  ##### Parameters:

  Name | Type | Attributes | Default | Description
  --- | --- | --- | --- | ---
  `text` | string | <optional> |  | Control text for element.
  `el` | Element | <optional> | this.el() | Element to set the title on.

  ##### Returns:

  string -
  - The control text when getting
  Inherited From:
    - ClickableComponent#controlText

#### createControlTextEl(elopt) → {Element}
`clickable-component.js`, `line 89`

  Create a control text element on this `Component`

  ##### Parameters:

  Name | Type | Attributes | Description
  --- | --- | --- | ---
  `el` | Element | <optional> | Parent element for the control text.

  ##### Returns:

  Element -

  The control text element that gets created.

  Inherited From:
    - ClickableComponent#createControlTextEl

#### createEl() → {Element}
`poster-image.js`, `line 47`

  Create the `PosterImage`s DOM element.

  ##### Returns:

  Element -

  The element that gets created.

  Overrides:
    - ClickableComponent#createEl

#### currentDimension(widthOrHeight) → {number}
`component.js`, `line 964`

  Get the width or the height of the `Component` elements computed style. Uses `window.getComputedStyle`.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `widthOrHeight` | string | A string containing 'width' or 'height'. Whichever one you want to get.

  ##### Returns:

  number -

  The dimension that gets asked for or 0 if nothing was set for that dimension.

  Inherited From:
    - Component#currentDimension

#### currentDimensions() → {Component~DimensionObject}
`component.js`, `line 1012`

  Get an object that contains width and height values of the `Component`s computed style.

  ##### Returns:

  Component~DimensionObject -

  The dimensions of the components element

  Inherited From:
    - Component#currentDimensions

#### currentHeight() → {number}
`component.js`, `line 1035`

  Get the height of the `Component`s computed style. Uses `window.getComputedStyle`.

  ##### Returns:

  number -

  height The height of the `Component`s computed style.

  Inherited From:
    - Component#currentHeight

#### currentWidth() → {number}
`component.js`, `line 1025`

  Get the width of the `Component`s computed style. Uses `window.getComputedStyle`.

  ##### Returns:

  number -

  width The width of the `Component`s computed style.

  Inherited From:
    - Component#currentWidth

#### dimension(widthOrHeight, numopt, skipListenersopt) → {number}
`component.js`, `line 902`

  Get or set width or height of the `Component` element. This is the shared code for the Component#width and Component#height.

  Things to know:

  - If the width or height in an number this will return the number postfixed with 'px'.
  - If the width/height is a percent this will return the percent postfixed with '%'
  - Hidden elements have a width of 0 with `window.getComputedStyle`. This function defaults to the `Component`s `style.width` and falls back to `window.getComputedStyle`. See this for more information
  - If you want the computed style of the component, use Component#currentWidth and {Component#currentHeight

  ##### Parameters:

  Name | Type | Attributes | Description
  --- | --- | --- | ---
  `widthOrHeight` | string |  | 8 'width' or 'height'
  `num` | number | string | <optional> | 8 New dimension
  `skipListeners` | boolean | <optional> | Skip componentresize event trigger

  ##### Fires:

  - Component#event:componentresize

  ##### Returns:

  number -

  The dimension when getting or 0 if unset

  Inherited From:
    - Component#dimension

#### dimensions(width, height)
`component.js`, `line 868`

  Set both the width and height of the `Component` element at the same time.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `width` | number | string | Width to set the `Component`s element to.
  `height` | number | string | Height to set the `Component`s element to.

  Inherited From:
    - Component#dimensions

#### disable()
`clickable-component.js`, `line 160`

  Disable this `Component`s element.

  Inherited From:
    - ClickableComponent#disable

#### dispose()
`poster-image.js`, `line 36`

  Clean up and dispose of the `PosterImage`.

  Overrides:
    - ClickableComponent#dispose

#### el() → {Element}
`component.js`, `line 193`

  Get the `Component`s DOM element

  ##### Returns:

  Element -

  The DOM element for this `Component`.

  Inherited From:
    - Component#el

#### enable()
`clickable-component.js`, `line 143`

  Enable this `Component`s element.

  Inherited From:
    - ClickableComponent#enable

#### enableTouchActivity()
`component.js`, `line 1173`

  This function reports user activity whenever touch events happen. This can get turned off by any sub-components that wants touch events to act another way.

  Report user touch activity when touch events occur. User activity gets used to determine when controls should show/hide. It is simple when it comes to mouse events, because any mouse event should show the controls. So we capture mouse events that bubble up to the player and report activity when that happens. With touch events it isn't as easy as `touchstart` and `touchend` toggle player controls. So touch events can't help us at the player level either.

  User activity gets checked asynchronously. So what could happen is a tap event on the video turns the controls off. Then the `touchend` event bubbles up to the player. Which, if it reported user activity, would turn the controls right back on. We also don't want to completely block touch events from bubbling up. Furthermore a `touchmove` event and anything other than a tap, should not turn controls back on.

  ##### Listens to Events:

  - Component#event:touchstart
  - Component#event:touchmove
  - Component#event:touchend
  - Component#event:touchcancel
  Inherited From:
    - Component#enableTouchActivity

#### focus()
`component.js`, `line 1042`

  Set the focus to this component

  Inherited From:
    - Component#focus

#### getAttribute(attribute) → {string|null}
`component.js`, `line 792`

  Get the value of an attribute on the `Component`s element.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `attribute` | string | Name of the attribute to get the value from.

  ##### Returns:

  string | null -
  - The value of the attribute that was asked for.

          - Can be an empty string on some browsers if the attribute does not exist
            or has no value
          - Most browsers will return null if the attibute does not exist or has
            no value.

  Inherited From:
    - Component#getAttribute
  See:

    - DOM API

#### getChild(name) → {Component|undefined}
`component.js`, `line 349`

  Returns the child `Component` with the given `name`.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `name` | string | The name of the child `Component` to get.

  ##### Returns:

  Component | undefined -

  The child `Component` with the given `name` or undefined.

  Inherited From:
    - Component#getChild

#### getChildById(id) → {Component|undefined}
`component.js`, `line 336`

  Returns the child `Component` with the given `id`.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `id` | string | The id of the child `Component` to get.

  ##### Returns:

  Component | undefined -

  The child `Component` with the given `id` or undefined.

  Inherited From:
    - Component#getChildById

#### handleBlur(event)
`clickable-component.js`, `line 241`

  Called when a `ClickableComponent` loses focus. Turns off the listener for `keydown` events. Which Stops `this.handleKeyPress` from getting called.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `event` | EventTarget~Event | The `blur` event that caused this function to be called.

  ##### Listens to Events:

  - event:blur
  Inherited From:
    - ClickableComponent#handleBlur

#### handleClick(event)
`poster-image.js`, `line 122`

  An EventTarget~EventListener for clicks on the `PosterImage`. See ClickableComponent#handleClick for instances where this will be triggered.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `event` | EventTarget~Event | The `click`, `tap` or `keydown` event that caused this function to be called.

  ##### Listens to Events:

  - event:tap
  - event:click
  - event:keydown
  Overrides:
    - ClickableComponent#handleClick

#### handleFocus(event)
`clickable-component.js`, `line 206`

  This gets called when a `ClickableComponent` gains focus via a `focus` event. Turns on listening for `keydown` events. When they happen it calls `this.handleKeyPress`.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `event` | EventTarget~Event | The `focus` event that caused this function to be called.

  ##### Listens to Events:

  - event:focus
  Inherited From:
    - ClickableComponent#handleFocus

#### handleKeyPress(event)
`clickable-component.js`, `line 219`

  Called when this ClickableComponent has focus and a key gets pressed down. By default it will call `this.handleClick` when the key is space or enter.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `event` | EventTarget~Event | The `keydown` event that caused this function to be called.

  ##### Listens to Events:

  - event:keydown
  Inherited From:
    - ClickableComponent#handleKeyPress

#### hasClass(classToCheck) → {boolean}
`component.js`, `line 702`

  Check if a component's element has a CSS class name.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `classToCheck` | string | CSS class name to check.

  ##### Returns:

  boolean -
  - True if the `Component` has the class.

          - False if the `Component` does not have the class`

  Inherited From:
    - Component#hasClass

#### height(numopt, skipListenersopt) → {number|string}
`component.js`, `line 855`

  Get or set the height of the component based upon the CSS styles. See Component#dimension for more detailed information.

  ##### Parameters:

  Name | Type | Attributes | Description
  --- | --- | --- | ---
  `num` | number | string | <optional> | The height that you want to set postfixed with '%', 'px' or nothing.
  `skipListeners` | boolean | <optional> | Skip the componentresize event trigger

  ##### Returns:

  number | string -

  The width when getting, zero if there is no width. Can be a string postpixed with '%' or 'px'.

  Inherited From:
    - Component#height

#### hide()
`component.js`, `line 753`

  Hide the `Component`s element if it is currently showing by adding the 'vjs-hidden` class name to it.

  Inherited From:
    - Component#hide

#### id() → {string}
`component.js`, `line 302`

  Get this `Component`s ID

  ##### Returns:

  string -

  The id of this `Component`

  Inherited From:
    - Component#id

#### initChildren()
`component.js`, `line 483`

  Add and initialize default child `Component`s based upon options.

  Inherited From:
    - Component#initChildren

#### localize(string, tokensopt, defaultValueopt) → {string}
`component.js`, `line 254`

  Localize a string given the string in english.

  If tokens are provided, it'll try and run a simple token replacement on the provided string. The tokens it loooks for look like `{1}` with the index being 1-indexed into the tokens array.

  If a `defaultValue` is provided, it'll use that over `string`, if a value isn't found in provided language files. This is useful if you want to have a descriptive key for token replacement but have a succinct localized string and not require `en.json` to be included.

  Currently, it is used for the progress bar timing.

      {
        "progress bar timing: currentTime={1} duration={2}": "{1} of {2}"
      }

  It is then used like so:

      this.localize('progress bar timing: currentTime={1} duration{2}',
                    [this.player_.currentTime(), this.player_.duration()],
                    '{1} of {2}');

  Which outputs something like: `01:23 of 24:56`.

  ##### Parameters:

  Name | Type | Attributes | Description
  --- | --- | --- | ---
  `string` | string |  | The string to localize and the key to lookup in the language files.
  `tokens` | Array.<string> | <optional> | If the current item has token replacements, provide the tokens here.
  `defaultValue` | string | <optional> | Defaults to `string`. Can be a default value to use for token replacement if the lookup key is needed to be separate.

  ##### Returns:

  string -

  The localized string or if no localization exists the english string.

  Inherited From:
    - Component#localize

#### name() → {string}
`component.js`, `line 313`

  Get the `Component`s name. The name gets used to reference the `Component` and is set during registration.

  ##### Returns:

  string -

  The name of this `Component`.

  Inherited From:
    - Component#name

#### options(obj) → {Object}
`component.js`, `line 176`

  Deep merge of options objects with new options.

  > Note: When both `obj` and `options` contain properties whose values are objects. The two properties get merged using module:mergeOptions

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `obj` | Object | The object that contains new options.

  ##### Returns:

  Object -

  A new object of `this.options_` and `obj` merged together.

  Inherited From:
    - Component#options
  Deprecated:
    - since version 5

#### player() → {Player}
`component.js`, `line 159`

  Return the Player that the `Component` has attached to.

  ##### Returns:

  Player -

  The player that this `Component` has attached to.

  Inherited From:
    - Component#player

#### ready() → {Component}
`component.js`, `line 600`

  Bind a listener to the component's ready state. Different from event listeners in that if the ready event has already happened it will trigger the function immediately.

  ##### Returns:

  Component -

  Returns itself; method can be chained.

  Inherited From:
    - Component#ready

#### removeAttribute(attribute)
`component.js`, `line 819`

  Remove an attribute from the `Component`s element.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `attribute` | string | Name of the attribute to remove.

  Inherited From:
    - Component#removeAttribute
  See:

    - DOM API

#### removeChild(component)
`component.js`, `line 447`

  Remove a child `Component` from this `Component`s list of children. Also removes the child `Component`s element from this `Component`s element.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `component` | Component | The child `Component` to remove.

  Inherited From:
    - Component#removeChild

#### removeClass(classToRemove)
`component.js`, `line 722`

  Remove a CSS class name from the `Component`s element.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `classToRemove` | string | CSS class name to remove

  Inherited From:
    - Component#removeClass

#### requestAnimationFrame(fn) → {number}
`component.js`, `line 1368`

  Queues up a callback to be passed to requestAnimationFrame (rAF), but with a few extra bonuses:

  - Supports browsers that do not support rAF by falling back to Component#setTimeout.

  - The callback is turned into a Component~GenericCallback (i.e. bound to the component).

  - Automatic cancellation of the rAF callback is handled if the component is disposed before it is called.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `fn` | Component~GenericCallback | A function that will be bound to this component and executed just before the browser's next repaint.

  ##### Listens to Events:

  - Component#event:dispose

  ##### Returns:

  number -

  Returns an rAF ID that gets used to identify the timeout. It can also be used in Component#cancelAnimationFrame to cancel the animation frame callback.

  Inherited From:
    - Component#requestAnimationFrame
  See:

    - Similar to

#### setAttribute(attribute, value)
`component.js`, `line 807`

  Set the value of an attribute on the `Component`'s element

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `attribute` | string | Name of the attribute to set.
  `value` | string | Value to set the attribute to.

  Inherited From:
    - Component#setAttribute
  See:

    - DOM API

#### setInterval(fn, interval) → {number}
`component.js`, `line 1300`

  Creates a function that gets run every `x` milliseconds. This function is a wrapper around `window.setInterval`. There are a few reasons to use this one instead though.

  1. It gets cleared via Component#clearInterval when Component#dispose gets called.
  2. The function callback will be a Component~GenericCallback

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `fn` | Component~GenericCallback | The function to run every `x` seconds.
  `interval` | number | Execute the specified function every `x` milliseconds.

  ##### Listens to Events:

  - Component#event:dispose

  ##### Returns:

  number -

  Returns an id that can be used to identify the interval. It can also be be used in Component#clearInterval to clear the interval.

  Inherited From:
    - Component#setInterval
  See:

    - Similar to

#### setSrc(url)
`poster-image.js`, `line 95`

  Set the source of the `PosterImage` depending on the display method.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `url` | string | The URL to the source for the `PosterImage`.

#### setTimeout(fn, timeout) → {number}
`component.js`, `line 1238`

  Creates a function that runs after an `x` millisecond timeout. This function is a wrapper around `window.setTimeout`. There are a few reasons to use this one instead though:

  1. It gets cleared via Component#clearTimeout when Component#dispose gets called.
  2. The function callback will gets turned into a Component~GenericCallback

  > Note: You can use `window.clearTimeout` on the id returned by this function. This will cause its dispose listener not to get cleaned up! Please use Component#clearTimeout or Component#dispose.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `fn` | Component~GenericCallback | The function that will be run after `timeout`.
  `timeout` | number | Timeout in milliseconds to delay before executing the specified function.

  ##### Listens to Events:

  - Component#event:dispose

  ##### Returns:

  number -

  Returns a timeout ID that gets used to identify the timeout. It can also get used in Component#clearTimeout to clear the timeout that was set.

  Inherited From:
    - Component#setTimeout
  See:

    - Similar to

#### show()
`component.js`, `line 745`

  Show the `Component`s element if it is hidden by removing the 'vjs-hidden' class name from it.

  Inherited From:
    - Component#show

#### toggleClass(classToToggle, predicateopt)
`component.js`, `line 737`

  Add or remove a CSS class name from the component's element.

  - `classToToggle` gets added when Component#hasClass would return false.
  - `classToToggle` gets removed when Component#hasClass would return true.

  ##### Parameters:

  Name | Type | Attributes | Description
  --- | --- | --- | ---
  `classToToggle` | string |  | The class to add or remove based on (@link Component#hasClass}
  `predicate` | boolean | Dom~predicate | <optional> | An Dom~predicate function or a boolean

  Inherited From:
    - Component#toggleClass

#### triggerReady()
`component.js`, `line 621`

  Trigger all the ready listeners for this `Component`.

  ##### Fires:

  - Component#event:ready
  Inherited From:
    - Component#triggerReady

#### update(eventopt)
`poster-image.js`, `line 75`

  An EventTarget~EventListener for Player#posterchange events.

  ##### Parameters:

  Name | Type | Attributes | Description
  --- | --- | --- | ---
  `event` | EventTarget~Event | <optional> | The `Player#posterchange` event that triggered this function.

  ##### Listens to Events:

  - Player#event:posterchange

#### width(numopt, skipListenersopt) → {number|string}
`component.js`, `line 837`

  Get or set the width of the component based upon the CSS styles. See Component#dimension for more detailed information.

  ##### Parameters:

  Name | Type | Attributes | Description
  --- | --- | --- | ---
  `num` | number | string | <optional> | The width that you want to set postfixed with '%', 'px' or nothing.
  `skipListeners` | boolean | <optional> | Skip the componentresize event trigger

  ##### Returns:

  number | string -

  The width when getting, zero if there is no width. Can be a string postpixed with '%' or 'px'.

  Inherited From:
    - Component#width

### Events

#### componentresize
`component.js`, `line 920`

  Triggered when a component is resized.

  ##### Type:

  - EventTarget~Event
  Inherited From:
    - Component#event:componentresize

#### dispose
`component.js`, `line 116`

  Triggered when a `Component` is disposed.

  ##### Type:

  - EventTarget~Event

  ##### Properties:

  Name | Type | Attributes | Default | Description
  --- | --- | --- | --- | ---
  `bubbles` | boolean | <optional> | false | set to false so that the close event does not bubble up

  Inherited From:
    - Component#event:dispose

#### ready
`component.js`, `line 638`

  Triggered when a `Component` is ready.

  ##### Type:

  - EventTarget~Event
  Inherited From:
    - Component#event:ready

#### tap
`component.js`, `line 1135`

  Triggered when a `Component` is tapped.

  ##### Type:

  - EventTarget~Event
  Inherited From:
    - Component#event:tap